Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#1825 closed enhancement (fixed)

posix timing tests: "nanosleep - yield" & "nanosleep - blocking"

Reported by: el.mastin2 Owned by: Jennifer Averett
Priority: normal Milestone: 4.11
Component: test Version: 4.11
Severity: minor Keywords:
Cc: Blocked By:
Blocking:

Description

The patch content Posix timing tests psxtmnanosleep01 and psxtmnanosleep02

psxtmnanosleep01 implements "nanosleep - yield"
psxtmnanosleep02 implements "nanosleep - blocking"

contain psxtmnanosleep contain both directories

Attachments (2)

psxtmnanosleep.tar (90.0 KB) - added by el.mastin2 on 06/24/11 at 08:57:51.
posix timing nanosleep tests
psxtmnanosleep_v1.tar (80.0 KB) - added by el.mastin2 on 06/24/11 at 19:53:51.
nanosleeptests

Download all attachments as: .zip

Change History (8)

Changed on 06/24/11 at 08:57:51 by el.mastin2

Attachment: psxtmnanosleep.tar added

posix timing nanosleep tests

comment:1 Changed on 06/24/11 at 08:59:33 by el.mastin2

Owner: changed from Joel Sherrill to Jennifer Averett

Changed on 06/24/11 at 19:53:51 by el.mastin2

Attachment: psxtmnanosleep_v1.tar added

nanosleeptests

comment:2 Changed on 06/29/11 at 16:47:24 by Jennifer Averett

attachments.isobsolete: 01

comment:3 Changed on 06/29/11 at 18:12:30 by Jennifer Averett

Resolution: fixed
Status: newclosed

I have the following comments:

1) Use spaces instead of tabs when aligning code.
2) Remove or replace XXX's as appropriate before submitting.
3) On timing tests do not do an error and status check on routine

that the time is being calculated for. These add source
and corrupt the calculated time.

I made these changes and merged the patch into the tree.

Next time I won't have to do this :)

comment:4 Changed on 11/24/14 at 18:58:28 by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

comment:5 Changed on 10/10/17 at 06:46:55 by Sebastian Huber

Component: testingunspecified

comment:6 Changed on 02/23/24 at 00:33:31 by Chris Johns

Component: unspecifiedtest
Note: See TracTickets for help on using tickets.